# Web Forum Experiment

This is a weekend project I made to gain a better understanding of databases.
It's a simple message board forum where users can create threads and messages within those threads.
It is written in JavaScript using the [Express framework](https://expressjs.com/), with SQLite for a database.
I don't intend to develop this any further.

## Installing Dependencies
```
npm install
```
## Running
If you have GNU make installed:
```
make dev
```
or if not:
```
npx nodemon --ignore ./sessions/ -e js,mjs,json,scss index.js
```
Then you can go to `localhost:3333` in your browser to view the forum.


![Screenshot](screenshot.png)